Test an auth profile against a URL
POST
/v1/auth-profiles/{id}/test
Authentication
Bearer Token
Path Parameters
id
string
required
path
Request Body required
application/jsonurl
string (uri)
REQUIRED
Responses
200
Test result
application/jsonok
boolean
cookie_count
integer
404
Error response
curl -X POST 'https://screenframed.com/v1/auth-profiles/string/test' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://example.com"}'
const response = await fetch('https://screenframed.com/v1/auth-profiles/string/test', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "url": "https://example.com" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://screenframed.com/v1/auth-profiles/string/test', headers=headers, json={ "url": "https://example.com"})print(response.json())
200
Response
{ "ok": true, "cookie_count": 123}
API Playground
Try this endpoint
POST
/v1/auth-profiles/{id}/test